Packages - Packaging Request #2818

Add mullvad-vpn package
2020-06-27 12:32 PM - Anonymous

Status: open % Done: 0%
Priority: wish

Assignee:

Category:

Description

Mullvad VPN provides a desktop client which is free software and licensed under GPL3. Could it be included in the Parabola
repositories?
If it can help, the package is already available in the AUR repository.

History

#1 - 2020-06-28 01:18 AM - bill-auger

- Priority changed from bug to wish

if this is another bitmask client, then it is probably related to #973 and #1343

i remember discussing bitmask some months ago; but not the details - IIRC the riseup client would not build from source or the version that could
build from source was not compatible with riseup - the AUR or python?/ruby? binaries, or the ones on the bitmask website, were the only way to
install it - freemor suggested that the best thing to do was to wait; because bitmask was possibly going to enter the kernel - if that happened there
would be no need to these various pre-configured clients

#2 - 2020-06-29 09:21 AM - Anonymous

Based on Mullvad website and their docs, there’s no reference to Bitmask. It doesn’t look like to be another Bitmask client.

#3 - 2020-06-29 10:20 PM - bill-auger

i just read the README of the source code - packaging this software may be a large can of worms - at first glance, i see that it requires several
third-party git submodules, npm, cargo, and golang - that alone indicates that this program is very likely to require a connection to the internet at build
time, through which it will download an indeterminate number of more third-party dependencies - because none of those third-party dependencies
would be included in the parabola source package, or be indicated to the user in any way, the parabola packaging tool does not allow such a package
to be made

noticing that the parabola wiki article acknowledges the existence of the mullvad client; but instead recommends using openvpn, that is likely because
someone else looked into this before, and concluded that although this software appears to offer all four freedoms in theory, in practice it's design
greatly impedes anyone's ability to exercise all four freedoms

i did not look into it thoroughly; but it also appears that the GUI client is an "electron app" - so even if this were an official arch package, it would be on
the parabola blacklist with no possibility of a libre replacement for the GUI - in the bast scenario, after all of the work was done to package this, it
would only include the CLI program, which is exactly what openvpn is already, AFAIK

all of those subtle indicators generally suggest that the workload is very high for this software - as there is a known alternate method of connecting to
the service, using only existing parabola packages, then the mullvad package would probably not add anything new or unique to parabola, so the
need for this to be packaged, reduces to a mere convenience

again, maybe i am wrong but that was my first impression

#4 - 2020-07-01 05:45 PM - Anonymous

Al right. | was not aware of this at all. It's quite interesting, thank you. I'm not able to say if you're wrong, my knowledge in that matter is more than
limited.

In that case, it's best to stick to the OpenVPN manual configuration (and probably WireGuard in the future).
